import { View, Image, Text } from "@tarojs/components"
import logoImg from '@/assets/bank/jianhang.jpg'
import './style.less'

export default (props) => {
  const { value, onChange } = props
  let style = { background: `linear-gradient(0deg,#${value.color1},#${value.color2})`  }
  return (
    <View className='bank' style={style}>
      <View className='top'>
        <Image className='logo' src={logoImg} />
        <View className='title'>{value.ownerBank}</View>
        <View className='cardType'>储蓄卡</View>
        <View className='light'>Bank</View>
        <View className='unBind' onClick={onChange}>解除绑定</View>
      </View>
      <View className='bottom'>
        <Text className='codeText'>{value.cardNo.substr(0, 4)}</Text>
        <Text className='codeText'>****</Text>
        <Text className='codeText'>****</Text>
        <Text className='codeText'>{value.cardNo.slice(-4)}</Text>
      </View>
    </View>
  )
}
